Check if more auth log changes are available Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/audit-logs/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Audit Logs MCP server": {
  "url": "https://developer.adra.com/doc/audit-logs/mcp"
}
Close
GET /api/v1.0/organizations/{organizationGuid}/auth-logs/status

Useful for automations that check if there is new available data before retrieval. Requires continuationToken. Admin access required.

Path parameters

  • organizationGuid string(uuid) Required

Query parameters

  • continuationToken string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • hasMoreChanges boolean
    • continuationToken string | null
  • 400 application/problem+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/problem+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/problem+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 404 application/problem+json

    Not Found

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • default application/problem+json

    Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /api/v1.0/organizations/{organizationGuid}/auth-logs/status
curl \
 --request GET 'https://setup.adra.com/api/v1.0/organizations/{organizationGuid}/auth-logs/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "hasMoreChanges": true,
  "continuationToken": "string"
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}